
Redmine - Feature #13853

Is it possible to sponsor the implementation of features?

2013-04-23 15:29 - Fabrice Brito

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Related issues:

Related to Redmine - Feature #13843: Redmine API: can wiki pages contain uploads Closed

Related to Redmine - Feature #29758: Introduce optional pay per feature model... New

History

#1 - 2013-05-01 07:39 - Toshi MARUYAMA

- Status changed from New to Needs feedback

What features?

#2 - 2013-05-02 13:12 - Fabrice Brito

For instance #13843

#3 - 2013-05-04 16:03 - Toshi MARUYAMA

- Status changed from Needs feedback to New

#4 - 2013-05-11 17:37 - dj jones

It doesn't matter what features - it seems like good sensible question.

The Wiki does not answer it right now - maybe some extra text on the Donors page would help?

Or the 'Contributing and helping out' part of the Overview page?

Maybe using the phrase 'sponsor an issue' in the wiki, would help future searchers find the answer too.

DJ

<vested interest - my company is looking at using Redmine; it may not happen, but if it does we may want to help by giving time to  code some of the

features in the Roadmap page, or sponsoring someone else to do so.>

#5 - 2013-05-11 18:08 - Jean-Baptiste Barth

There's no official mechanism to sponsor features implementation now. But of course nothing prevents you from hiring a ruby consultant for some

days, developing cleanly with tests, and proposing it back here.

Here's my personal opinion: if the feature is likely to interest everybody (#13843 is a good example there) there's no reason to refuse it, if it respects

the following principles:

it should not break existing feature or technical compatibility (e.g. something compatible with Mysql only for instance)

if it changes the nature of the project or if it is a "big" feature, it should be discussed here before and have the approval of the team

in any case, developing the feature in a plugin can be a good idea before extracting a patch for Redmine core: if your patch isn't accepted, you

still have the feature in a plugin that you can use directly (and hopefully maintain in the future)

Hope this helps..

#6 - 2016-12-11 15:47 - Go MAEDA

- Category deleted (REST API)

- Status changed from New to Closed

2025-05-01 1/2

https://www.redmine.org/issues/13843
https://www.redmine.org/issues/13843


Answered in #13853#note-5. Closing.

It would be greatly appreciated if you could provide patches with tests.

#7 - 2017-01-01 11:45 - Jan from Planio www.plan.io

For the record for anyone landing here: At my company Planio, we're regular contributors to Redmine and we offer custom feature development as

part of our Redmine Hosting Enterprise plan.

Whenever we can, we also contribute any features or improvements developed through this model back to the community. This doesn't mean that

you can hire us to push any arbitrary feature to Redmine directly. It must of course be in line with the general product vision of Redmine as

determined by the community. But we might be able to help in defining a feature's scope so that it can make sense on a broader scale and therefore

solve your use case and be a valuable addition to Redmine at the same time – which is crucial.

Therefore, if you have a budget for a particular feature being developed, don't hesitate to get in touch with us and we can discuss it.

#8 - 2018-10-12 02:47 - Go MAEDA

- Related to Feature #29758: Introduce optional pay per feature model of Redmine development added
